# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.ITableGroup

Packages that use ITableGroup
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of ITableGroup in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type ITableGroup
Modifier and Type
Method
Description
`void`
TableGroupEventAdapter.`onPrepare(ITableGroup tableGroup, IReportContext context)`

## Uses of ITableGroup in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type ITableGroup
Modifier and Type
Method
Description
`void`
ITableGroupEventHandler.`onPrepare(ITableGroup tableGroup, IReportContext context)`